
// NRPE - check_available_conntrack
apply Service "nrpe-available_conntrack" {
    import "generic-service"
    check_command     = "nrpe"
    vars.nrpe_command = "check_available_conntrack"

    // If interval is defined, use it
    if ( host.vars.check_interval_available_conntrack ) {
        check_interval = host.vars.check_interval_available_conntrack
    }

    assign where host.vars.enable_nrpe_available_conntrack != false
}
object ServiceGroup "nrpe-available_conntrack" {
    display_name = "NRPE - Check available-conntrack (default)"
    assign where match("check_available_conntrack", service.vars.nrpe_command)
}

/****************************************/

// NRPE - check_cpu
apply Service "nrpe-cpu" {
    import "generic-service"
    check_command     = "nrpe"
    vars.nrpe_command = "check_cpu"

    // If interval is defined, use it
    if ( host.vars.check_interval_cpu ) {
        check_interval = host.vars.check_interval_cpu != false
    }

    assign where host.vars.enable_nrpe_cpu != false
}
object ServiceGroup "nrpe-cpu" {
    display_name = "NRPE - Check cpu (default)"
    assign where match("check_cpu", service.vars.nrpe_command)
}

/****************************************/

// NRPE - check_disk
apply Service "nrpe-disk" {
    import "generic-service"
    check_command     = "nrpe"
    vars.nrpe_command = "check_disk"

    // If interval is defined, use it
    if ( host.vars.check_interval_disk ) {
        check_interval = host.vars.check_interval_disk
    }

    assign where host.vars.enable_nrpe_disk != false
}
object ServiceGroup "nrpe-disk" {
    display_name = "NRPE - Check disk (default)"
    assign where match("check_disk", service.vars.nrpe_command)
}

/****************************************/

// NRPE - check_load
apply Service "nrpe-load" {
    import "generic-service"
    check_command     = "nrpe"
    vars.nrpe_command = "check_load"

    // If interval is defined, use it
    if ( host.vars.check_interval_load ) {
        check_interval = host.vars.check_interval_load
    }

    assign where host.vars.enable_nrpe_load != false
}
object ServiceGroup "nrpe-load" {
    display_name = "NRPE - Check load (default)"
    assign where match("check_load", service.vars.nrpe_command)
}

/****************************************/

// NRPE - check_reboot
apply Service "nrpe-reboot" {
    import "generic-service"
    check_command     = "nrpe"
    vars.nrpe_command = "check_reboot"

    // If interval is defined, use it
    if ( host.vars.check_interval_reboot ) {
        check_interval = host.vars.check_interval_reboot
    }

    assign where host.vars.enable_nrpe_reboot != false
}
object ServiceGroup "nrpe-reboot" {
    display_name = "NRPE - Check reboot (default)"
    assign where match("check_reboot", service.vars.nrpe_command)
}

/****************************************/

// NRPE - check_restart
apply Service "nrpe-restart" {
    import "generic-service"
    check_command     = "nrpe"
    vars.nrpe_command = "check_restart"

    // If interval is defined, use it
    if ( host.vars.check_interval_restart ) {
        check_interval = host.vars.check_interval_restart
    }

    assign where host.vars.enable_nrpe_restart != false
}
object ServiceGroup "nrpe-restart" {
    display_name = "NRPE - Check restart (default)"
    assign where match("check_restart", service.vars.nrpe_command)
}

/****************************************/

// NRPE - check_memory
apply Service "nrpe-memory" {
    import "generic-service"
    check_command     = "nrpe"
    vars.nrpe_command = "check_memory"

    // If interval is defined, use it
    if ( host.vars.check_interval_memory ) {
        check_interval = host.vars.check_interval_memory
    }

    assign where host.vars.enable_nrpe_memory != false
}
object ServiceGroup "nrpe-memory" {
    display_name = "NRPE - Check memory (default)"
    assign where match("check_memory", service.vars.nrpe_command)
}

/****************************************/

// NRPE - check_systemd
apply Service "nrpe-systemd" {
    import "generic-service"
    check_command     = "nrpe"
    vars.nrpe_command = "check_systemd"

    // If interval is defined, use it
    if ( host.vars.check_interval_systemd ) {
        check_interval = host.vars.check_interval_systemd
    }

    assign where host.vars.enable_nrpe_systemd != false
}
object ServiceGroup "nrpe-systemd" {
    display_name = "NRPE - Check systemd (default)"
    assign where match("check_systemd", service.vars.nrpe_command)
}


# vim: syntax=icinga2 ts=4 sw=4 sts=4 sr noet

